package arithmetic;


/**
 * An expression that represents a constant (in Java double)
 */
public class Const extends Expr {

	public double value;
	
	public Const(double value){
		this.value = value;
	}
	
	@Override
	public void accept(ExprVisitor visitor)
	{
		visitor.visit(this);
	}
	
}
