package arithmetic;


/**
 * Expression that represents a division of one expression by another
 */
public class Div extends Expr {
	
	public Expr left, right;
	
	public Div(Expr left, Expr right){
		this.left = left;
		this.right = right;
	}
	
	@Override
	public void accept(ExprVisitor visitor)
	{
		visitor.visit(this);
	}	
	
}
