package abc;

import static org.junit.Assert.*;

import org.junit.Test;
import abc.*;
import music.*;

public class _test_Reader {

	@Test
	public void test_noteMatcher() {
		assertEquals(Reader.noteMatcher("A"), 1);
		assertEquals(Reader.noteMatcher("Ab"), 1);
		assertEquals(Reader.noteMatcher("_Ab"), 2);
		assertEquals(Reader.noteMatcher("__Ab"), 3);
		assertEquals(Reader.noteMatcher("C,,ab,"), 3);
		assertEquals(Reader.noteMatcher("za,,"), 1);
		assertEquals(Reader.noteMatcher("A/bc"), 2);
		assertEquals(Reader.noteMatcher("G/4__gcc"), 3);
		assertEquals(Reader.noteMatcher("=f''1/5ad,,=g"), 7);
	}

	@Test
	public void test_paddy(){
		Reader r = new Reader("paddy.abc");
		assertEquals(r.music.tempo, 200);
	}
	
	@Test
	public void test_scale(){
		Reader r = new Reader("scale.abc");
		assertEquals(r.music.length, 1.0/4.0, .001);
	}
}
