package controller;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;


public class _test_Protocol {

	@Test
	public void test_protocol(){
		List<Protocol> p = new ArrayList<Protocol>();
		p.add( new Protocol("[CREATE][roommake]"));
		p.add( new Protocol("[JOIN][roomjoin]"));
		p.add( new Protocol("[ALIAS][newalias]"));
		p.add( new Protocol("[LEAVE][roomleft]"));
		p.add( new Protocol("[INVITED][roominvite]"));
		p.add( new Protocol("[ASSIGNED][nameassigned]"));
		p.add( new Protocol("[MSG][roomname][User: Here's an example of a possible message\nMe: And this is one too!\n]"));
		p.add( new Protocol("[TRANSCRIPT][roomname][User: Here's another example of a possible message\nMe: And again!\n]"));
		p.add( new Protocol("[ROOMLIST][room1`16][room2`4][room3`8][room4`0][room5`0]"));
		p.add( new Protocol("[USERLIST][user1][user2][Scott Young][some other guy...]"));
		for(Protocol com : p)
		{
			/*System.err.println("--------------------------------");
			System.err.println(com.command);
			System.err.println(com.nameField);
			System.err.println(com.textField);
			for(String s : com.userList)
				System.err.println("\t"+s);
			for(Tuple t : com.roomList)
				System.err.println("\t"+t.name+", "+Integer.toString(t.number));*/
		}
		//Test some corrupted protocols
		Protocol corrupt = new Protocol("[LAZERGUN][huh?][wellthisisweird]");
		assertEquals(corrupt.command, Command.NONE);
	}

}
